<?php get_header(); ?>

	<div class="container-wrap">
		<div class="blog-cover">
			<?php if ( '' !== geeklove_get_thememod_value( 'geeklove_blog_cover_image' ) ) : ?>
				<img src="<?php echo esc_url( geeklove_get_thememod_value( 'geeklove_blog_cover_image' ) ); ?>" alt="<?php esc_attr_e( 'Blog cover', 'geeklove' ); ?>">
			<?php endif; ?>
			<?php if ( '' !== geeklove_get_thememod_value( 'geeklove_blog_title' ) && '' !== geeklove_get_thememod_value( 'geeklove_blog_subtitle' ) ) : ?>
			<div class="center blog-title-wrap">
				<div class="blog-title-inner-wrap">
					<?php
					if ( '' !== geeklove_get_thememod_value( 'geeklove_blog_title' ) ) {
						echo '<h4 class="section-title">' . esc_html( geeklove_get_thememod_value( 'geeklove_blog_title' ) ) . '</h4>';}
?>
					<?php
					if ( '' !== geeklove_get_thememod_value( 'geeklove_blog_subtitle' ) ) {
						echo '<h4 class="sub-title">' . esc_html( geeklove_get_thememod_value( 'geeklove_blog_subtitle' ) ) . '</h4>';}
?>
				</div>
			</div>
			<?php endif; ?>
		</div>

		<!-- BEGIN .container -->
		<div class="container">

		<div class="all-posts hfeed">

			<?php
			if ( have_posts() ) :
				while ( have_posts() ) :
					the_post();
?>

				<article <?php post_class(); ?> id="post-<?php the_ID(); ?>">
					<?php get_template_part( 'content', 'standard' ); ?>
				</article>

				<?php endwhile; ?>

				<?php
					$prev = get_previous_posts_link( '<span>' . esc_html__( 'Previous Page', 'geeklove' ) . '</span>' );
					$next = get_next_posts_link( '<span>' . esc_html__( 'Next Page', 'geeklove' ) . '</span>' );
				?>

				<?php if ( $prev || $next ) : ?>
				<hr class="section-divider">
				<!-- BEGIN .navigation .page-navigation -->
				<div class="navigation page-navigation grids">
					<div class="paged-nav grid-6">
						<?php pagination(); ?>
					</div>
					<div class="left-right-nav grid-6">
						<div class="nav-prev"><?php echo $prev; // phpcs:ignore ?></div>
						<div class="nav-next"><?php echo $next; // phpcs:ignore ?></div>
					</div>
				<!-- END .navigation .page-navigation -->
				</div>
				<?php endif; ?>

				<?php else : ?>

				<!--BEGIN #post-0-->
				<div id="post-0" <?php post_class(); ?>>

					<h2 class="entry-title"><?php esc_html_e( 'Error 404 - Not Found', 'geeklove' ); ?></h2>

					<!--BEGIN .entry-content-->
					<div class="entry-content">
						<p><?php esc_html_e( "Sorry, but you are looking for something that isn't here.", 'geeklove' ); ?></p>
					<!--END .entry-content-->
					</div>

				<!--END #post-0-->
				</div>

				<?php endif; ?>
		</div>
			<!-- END .container -->
		</div>
	</div>

<?php get_footer(); ?>
