<?php
/**
 * Template Name: Contact Form
 */

get_header(); ?>

<div class="container-wrap">

	<?php get_template_part( 'helper', 'page-cover' ); ?>

	<?php
	if ( class_exists( 'Geeklove_Assistant' ) ) :
		echo do_shortcode( '[geeklove_contact_form]' );
	else :
		esc_html_e( 'Please install & activate Geeklove Assistant plugin for Contact Form template to work!', 'geeklove' );
	endif;
	?>

	<!-- BEGIN .container -->
	<div class="container">

		<?php if ( have_posts() ) : ?>
			<?php
			while ( have_posts() ) :
				the_post();
?>

			<div class="entry-content center contact-page">
				<?php if ( '' != $secondary_title = get_post_meta( get_the_ID(), '_stag_contact_secondary_title', true ) ) : ?>
					<h1 class="section-title"><?php echo esc_html( $secondary_title ); ?></h1>
				<?php endif; ?>

				<?php the_content(); ?>

				<?php if ( get_post_meta( get_the_ID(), '_stag_contact_number', true ) != '' || get_post_meta( get_the_ID(), '_stag_contact_email', true ) != '' ) : ?>
					<div class="contact-details">
						<span class="contact-number"><i class="icon icon-phone"></i> <?php echo get_post_meta( get_the_ID(), '_stag_contact_number', true ); ?></span>
						<span class="contact-email"><i class="icon icon-mail"></i> <a href="mailto:<?php echo get_post_meta( get_the_ID(), '_stag_contact_email', true ); ?>"><?php echo get_post_meta( get_the_ID(), '_stag_contact_email', true ); ?></a></span>
					</div>
				<?php endif; ?>
			</div><!-- .contact-page -->

		<?php endwhile; ?>
	<?php endif; ?>

	<!-- END .container -->
</div>

</div>

<?php get_footer(); ?>
