<?php
/**
 * Single Events
 *
 */

$id_post        = get_the_ID();
$subtitle       = get_post_meta( $id_post, '_stag_event_subtitle', true );
$event_time     = get_post_meta( $id_post, '_stag_event_time', true );
$map_url        = get_post_meta( $id_post, '_stag_event_map_url', true );
$event_cover    = get_post_meta( $id_post, '_stag_event_cover', true );
$event_link     = get_post_meta( $id_post, '_stag_event_link', true );
$event_location = get_post_meta( $id_post, '_stag_event_location', true );
$event_date     = get_post_meta( $id_post, '_stag_event_date', true );

get_header();
?>

<div class="container-wrap">

	<div class="blog-cover">
		<?php if ( '' !== $event_cover ) : ?>
			<img src="<?php echo esc_url( $event_cover ); ?>" alt="<?php esc_attr_e( 'Event cover', 'geeklove' ); ?>">
		<?php endif; ?>

		<div class="center blog-title-wrap">
			<div class="blog-title-inner-wrap">
				<h2 class="section-title"><?php the_title(); ?></h2>
				<?php
				if ( '' !== $subtitle ) {
					echo '<h4 class="sub-title">' . esc_html( $subtitle ) . '</h4>';
				}
				?>
			</div>
		</div>
	</div>

		<div class="container">
		<?php
		if ( have_posts() ) :
			while ( have_posts() ) :
				the_post();
				?>

			<div class="all-posts">
				<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

					<?php if ( '' !== $map_url ) : ?>
					<iframe width="100%" height="350" frameborder="0" scrolling="no" marginheight="0" marginwidth="0" src="<?php echo esc_url( $map_url ); ?>&amp;output=embed"></iframe>
					<?php endif; ?>

					<!-- BEGIN .entry-content -->
					<div class="entry-content">
						<div class="post-metas pull-right">
							<?php if ( '' !== $event_location ) : ?>
							<div class="meta-data">
								<h3 data-icon="&#xe00a;"><?php _e( 'Location:', 'geeklove' ); ?></h3>
								<p><?php echo nl2br( $event_location ); ?></p>
							</div>
							<?php endif; ?>

							<?php if ( '' !== $event_date ) : ?>
							<div class="meta-data">
								<h3 data-icon="&#xe00d;"><?php _e( 'Date:', 'geeklove' ); ?></h3>
								<p><?php echo date_i18n( 'l d F Y', strtotime( trim( $event_date ) ) ); ?> </p>
							</div>
							<?php endif; ?>

							<?php if ( '' !== $event ) : ?>
							<div class="meta-data">
								<h3 data-icon="&#xe00c;"><?php _e( 'Time:', 'geeklove' ); ?></h3>
								<p><?php echo esc_html( $event_time ); ?></p>
							</div>
							<?php endif; ?>

						</div>
						<?php the_content( __( 'Continue Reading', 'geeklove' ) ); ?>
						<!-- END .entry-content -->
					</div>
				</article>
			</div>
					<?php endwhile; ?>

		<hr class="section-divider">

			<?php if ( '' !== $event_link ) : ?>
			<div class="center">
				<a href="<?php echo esc_url( $event_link ); ?>" class="button stag-button large"><?php echo get_post_meta( get_the_ID(), '_stag_event_link_title', true ); ?></a>
			</div>
		<?php endif; ?>

		</div>

	<?php endif; ?>
</div>

<?php get_footer(); ?>
